package model

type CentralKitchenForSchoolUserRefundDay struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	OutTradeNo   string `json:"out_trade_no" xorm:"default '' comment('订单号') VARCHAR(50)"`
	OutRequestNo string `json:"out_request_no" xorm:"not null default '' comment('退款请求号') VARCHAR(50)"`
	Uid          int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	IdentityId   int    `json:"identity_id" xorm:"not null default 0 comment('身份id') INT(11)"`
	RecordsId    int    `json:"records_id" xorm:"not null default 0 comment('记录id') INT(11)"`
	State        int    `json:"state" xorm:"not null default 1 comment('状态(1:审核中 2:审核通过 3:审核拒绝 4:退款已完成)') TINYINT(1)"`
	Amount       string `json:"amount" xorm:"not null default 0.00 comment('金额') DECIMAL(6,2)"`
	Memo         string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	RefundDate   string `json:"refund_date" xorm:"not null default '0000-00-00 00:00:00' comment('退款时间') CHAR(50)"`
	CreateAt     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
