package md

type CentralKitchenForSchoolInfoResp struct {
	Name                        string `json:"name" label:"名称"`
	Memo                        string `json:"memo" label:"备注"`
	Kind                        string `json:"kind" label:"种类(1:央厨-学校 2:央厨-工厂 3:自营-学校 4:自营-工厂)"`
	State                       string `json:"state" label:"状态(1:正常 2:冻结)"`
	IsOpenTeacherReportMeal     int    `json:"is_open_teacher_report_meal" label:"教师报餐(1:开启 2:关闭)"`
	IsOpenReportMealForDay      int    `json:"is_open_report_meal_for_day" label:"开启按天报餐(1:开启 2:关闭)"`
	IsOpenReportMealForMonth    int    `json:"is_open_report_meal_for_month" label:"开启按月报餐(1:开启 2:关闭)"`
	IsOpenReportMealForSemester int    `json:"is_open_report_meal_for_semester" label:"开启按学期报餐(1:开启 2:关闭)"`
	IsOpenBreakfast             int    `json:"is_open_breakfast" label:"是否开启早餐(1:开启 0:关闭)"`
	IsOpenLunch                 int    `json:"is_open_lunch" label:"是否开启午餐(1:开启 0:关闭)"`
	IsOpenDinner                int    `json:"is_open_dinner" label:"是否开启晚餐(1:开启 0:关闭)"`
	TeacherNum                  int64  `json:"teacher_num" label:"教师数量"`
	StudentNum                  int64  `json:"student_num" label:"学生数量"`
	ClassNum                    int64  `json:"class_num" label:"班级数量"`
}
